AgentConnect
Computers

Give an agent access to a computer

Adds one agent to a Computer’s Selected agent access, switching it from none to selected; the same relation as PUT /computers/{id}/agent-access, for the agent’s own Computers list. Requires edit rights on the Computer, which any member it is visible to has unless they are a viewer, and a visible agent. Idempotent, and a no-op on a Computer granted to all agents; a 201st agent is refused (409), as is a per-agent or ephemeral computer.

PUT
/v1/orgs/{orgId}/computers/{id}/agent-access/agents/{agentId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
agentId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/orgs/string/computers/string/agent-access/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "name": "string",  "ownerUserId": "string",  "kind": "self-hosted",  "isolation": "none",  "os": "macos",  "osVersion": "string",  "session": "aqua",  "status": "online",  "capabilities": {    "screenshot": false,    "input": false,    "textInput": "full",    "humanActivity": "pointer",    "backgroundInput": false,    "accessibilityTree": false,    "viewer": false,    "viewerStun": true,    "egress": true,    "displays": [],    "permissions": {}  },  "doctor": {    "checkedAt": "2019-08-24T14:15:22Z",    "checks": [      {        "name": "string",        "status": "ok",        "detail": "string",        "fix": "string"      }    ]  },  "desktopDaemonVersion": "string",  "driverVersion": "string",  "policy": {    "allowedMembers": [],    "agentMode": "view",    "approvals": {      "firstInputPerSession": true,      "launchApp": "always",      "submitLikeKeys": true    },    "appAllowlist": [      "string"    ],    "redactApps": [],    "exposeDriverTools": false,    "quietHours": {      "tz": "string",      "ranges": [        "string"      ]    },    "leaseIdleSeconds": 120,    "leaseMaxSeconds": 1800,    "leaseWaitSeconds": 45,    "screenshotRetentionDays": 0,    "viewerPeerToPeer": true  },  "visibility": "org",  "sharedWith": [    "string"  ],  "lastSeenAt": "string",  "revokedAt": "string",  "stoppedAt": "string",  "stoppedByUserId": "string",  "createdAt": "string",  "updatedAt": "string",  "canEdit": true,  "screenshotRetentionDays": -9007199254740991,  "canEditPolicy": true,  "agentAccess": {    "mode": "none",    "agents": []  },  "canEditAgentAccess": true,  "allocation": "ephemeral",  "ownerAgentId": "string",  "poolPhase": "provisioning",  "poolError": "string",  "poolActions": {    "wake": true,    "sleep": true,    "reset": true  },  "lease": {    "sessionId": "string",    "agentId": "string",    "agentName": "string",    "acquiredAt": "string"  },  "waiting": [    {      "sessionId": "string",      "agentId": "string",      "since": "string"    }  ]}